JamVM in 6b33-1.13.5-1ubuntu* fails testsuite on 12.04, 14.04 and 14.10

Bug #1382205 reported by Jamie Strandboge on 2014-10-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openjdk-6 (Ubuntu)
High
Matthias Klose
Precise
High
Matthias Klose
Trusty
High
Matthias Klose
Utopic
High
Matthias Klose
openjdk-7 (Ubuntu)
High
billhuey
Precise
High
billhuey
Trusty
High
billhuey
Utopic
High
billhuey

Bug Description

Representative build log:
https://launchpadlibrarian.net/187407433/buildlog_ubuntu-utopic-i386.openjdk-6_6b33-1.13.5-1ubuntu1_UPLOADING.txt.gz

Eg, 6b33-1.13.5-1:
Test results: passed: 12; failed: 151
Test results: passed: 375; failed: 1,078

6b32-1.13.4-4:
Test results: passed: 146; failed: 12; error: 5
Test results: passed: 1,442; failed: 11

JamVM is in universe and therefore a community supported VM. An update should be provided in the next IcedTea version.

Similar results were for OpenJDK 7. JamVM is Canonical support in trusty and utopic, so an update should be provided when fixes are available.

Changed in openjdk-6 (Ubuntu Precise):
status: New → Confirmed
Changed in openjdk-6 (Ubuntu Trusty):
status: New → Confirmed
Changed in openjdk-6 (Ubuntu Utopic):
status: New → Confirmed
Changed in openjdk-6 (Ubuntu Precise):
importance: Undecided → High
Changed in openjdk-6 (Ubuntu Trusty):
importance: Undecided → High
Changed in openjdk-6 (Ubuntu Utopic):
importance: Undecided → High
Changed in openjdk-6 (Ubuntu Precise):
assignee: nobody → Matthias Klose (doko)
Changed in openjdk-6 (Ubuntu Trusty):
assignee: nobody → Matthias Klose (doko)
Changed in openjdk-6 (Ubuntu Utopic):
assignee: nobody → Matthias Klose (doko)
description: updated
Changed in openjdk-7 (Ubuntu Precise):
status: New → Confirmed
Changed in openjdk-7 (Ubuntu Trusty):
status: New → Confirmed
Changed in openjdk-7 (Ubuntu Utopic):
status: New → Confirmed
importance: Undecided → High
Changed in openjdk-7 (Ubuntu Trusty):
importance: Undecided → High
Changed in openjdk-7 (Ubuntu Precise):
importance: Undecided → High
assignee: nobody → billhuey (bill-huey)
Changed in openjdk-7 (Ubuntu Trusty):
assignee: nobody → billhuey (bill-huey)
Changed in openjdk-7 (Ubuntu Utopic):
assignee: nobody → billhuey (bill-huey)
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-7 - 7u71-2.5.3-2ubuntu1

---------------
openjdk-7 (7u71-2.5.3-2ubuntu1) vivid; urgency=medium

  * Regenerate the control file.

openjdk-7 (7u71-2.5.3-2) unstable; urgency=medium

  * Regenerate the .orig.tar to omit a third hotspot tarball.
  * Really fix the libjpeg runtime dependency for sid and jessie.
    Closes: #766601.
  * Fix regression running JamVM after the 2.5.3 security update.
    Closes: #767771. LP: #1382205.
  * Fix regression running CACAO after the 2.5.3 security update.
  * Backport S8000897, VM crash in CompileBroker. Closes: #768747.
  * Fix building icedtea-sound on x32 (patch dropped in 7u71-2.5.3-1).
    Closes: #766610.
  * Don't use the compatibility path names from the ttf-dejavu packages
    for recent releases. LP: #1362099.
 -- Matthias Klose <email address hidden> Thu, 13 Nov 2014 15:06:05 +0100

Changed in openjdk-7 (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-7 - 7u75-2.5.4-1~utopic1

---------------
openjdk-7 (7u75-2.5.4-1~utopic1) utopic-security; urgency=medium

  * Backport to utopic

openjdk-7 (7u75-2.5.4-1) unstable; urgency=high

  * IcedTea7 2.5.4 release (based on OpenJDK 7u75).
  * Security fixes
    - S8046656: Update protocol support.
    - S8047125, CVE-2015-0395: (ref) More phantom object references.
    - S8047130: Fewer escapes from escape analysis.
    - S8048035, CVE-2015-0400: Ensure proper proxy protocols.
    - S8049253: Better GC validation.
    - S8050807, CVE-2015-0383: Better performing performance data handling.
    - S8054367, CVE-2015-0412: More references for endpoints.
    - S8055304, CVE-2015-0407: More boxing for DirectoryComboBoxModel.
    - S8055309, CVE-2015-0408: RMI needs better transportation considerations.
    - S8055479: TLAB stability.
    - S8055489, CVE-2014-6585: Better substitution formats.
    - S8056264, CVE-2014-6587: Multicast support improvements.
    - S8056276, CVE-2014-6591: Fontmanager feature improvements.
    - S8057555, CVE-2014-6593: Less cryptic cipher suite management.
    - S8058982, CVE-2014-6601: Better verification of an exceptional invokespecial.
    - S8059485, CVE-2015-0410: Resolve parsing ambiguity.
    - S8061210, CVE-2014-3566: Issues in TLS.

openjdk-7 (7u71-2.5.3-2) unstable; urgency=medium

  * Regenerate the .orig.tar to omit a third hotspot tarball.
  * Really fix the libjpeg runtime dependency for sid and jessie.
    Closes: #766601.
  * Fix regression running JamVM after the 2.5.3 security update.
    Closes: #767771. LP: #1382205.
  * Fix regression running CACAO after the 2.5.3 security update.
  * Backport S8000897, VM crash in CompileBroker. Closes: #768747.
  * Fix building icedtea-sound on x32 (patch dropped in 7u71-2.5.3-1).
    Closes: #766610.
  * Don't use the compatibility path names from the ttf-dejavu packages
    for recent releases. LP: #1362099.
 -- Jamie Strandboge <email address hidden> Mon, 26 Jan 2015 17:35:46 -0600

Changed in openjdk-7 (Ubuntu Utopic):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-7 - 7u75-2.5.4-1~trusty1

---------------
openjdk-7 (7u75-2.5.4-1~trusty1) trusty-security; urgency=medium

  * Backport to trusty

openjdk-7 (7u75-2.5.4-1) unstable; urgency=high

  * IcedTea7 2.5.4 release (based on OpenJDK 7u75).
  * Security fixes
    - S8046656: Update protocol support.
    - S8047125, CVE-2015-0395: (ref) More phantom object references.
    - S8047130: Fewer escapes from escape analysis.
    - S8048035, CVE-2015-0400: Ensure proper proxy protocols.
    - S8049253: Better GC validation.
    - S8050807, CVE-2015-0383: Better performing performance data handling.
    - S8054367, CVE-2015-0412: More references for endpoints.
    - S8055304, CVE-2015-0407: More boxing for DirectoryComboBoxModel.
    - S8055309, CVE-2015-0408: RMI needs better transportation considerations.
    - S8055479: TLAB stability.
    - S8055489, CVE-2014-6585: Better substitution formats.
    - S8056264, CVE-2014-6587: Multicast support improvements.
    - S8056276, CVE-2014-6591: Fontmanager feature improvements.
    - S8057555, CVE-2014-6593: Less cryptic cipher suite management.
    - S8058982, CVE-2014-6601: Better verification of an exceptional invokespecial.
    - S8059485, CVE-2015-0410: Resolve parsing ambiguity.
    - S8061210, CVE-2014-3566: Issues in TLS.

openjdk-7 (7u71-2.5.3-2) unstable; urgency=medium

  * Regenerate the .orig.tar to omit a third hotspot tarball.
  * Really fix the libjpeg runtime dependency for sid and jessie.
    Closes: #766601.
  * Fix regression running JamVM after the 2.5.3 security update.
    Closes: #767771. LP: #1382205.
  * Fix regression running CACAO after the 2.5.3 security update.
  * Backport S8000897, VM crash in CompileBroker. Closes: #768747.
  * Fix building icedtea-sound on x32 (patch dropped in 7u71-2.5.3-1).
    Closes: #766610.
  * Don't use the compatibility path names from the ttf-dejavu packages
    for recent releases. LP: #1362099.
 -- Jamie Strandboge <email address hidden> Mon, 26 Jan 2015 17:37:17 -0600

Changed in openjdk-7 (Ubuntu Trusty):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-7 - 7u75-2.5.4-1~precise1

---------------
openjdk-7 (7u75-2.5.4-1~precise1) precise-security; urgency=medium

  * Backport to precise

openjdk-7 (7u75-2.5.4-1) unstable; urgency=high

  * IcedTea7 2.5.4 release (based on OpenJDK 7u75).
  * Security fixes
    - S8046656: Update protocol support.
    - S8047125, CVE-2015-0395: (ref) More phantom object references.
    - S8047130: Fewer escapes from escape analysis.
    - S8048035, CVE-2015-0400: Ensure proper proxy protocols.
    - S8049253: Better GC validation.
    - S8050807, CVE-2015-0383: Better performing performance data handling.
    - S8054367, CVE-2015-0412: More references for endpoints.
    - S8055304, CVE-2015-0407: More boxing for DirectoryComboBoxModel.
    - S8055309, CVE-2015-0408: RMI needs better transportation considerations.
    - S8055479: TLAB stability.
    - S8055489, CVE-2014-6585: Better substitution formats.
    - S8056264, CVE-2014-6587: Multicast support improvements.
    - S8056276, CVE-2014-6591: Fontmanager feature improvements.
    - S8057555, CVE-2014-6593: Less cryptic cipher suite management.
    - S8058982, CVE-2014-6601: Better verification of an exceptional invokespecial.
    - S8059485, CVE-2015-0410: Resolve parsing ambiguity.
    - S8061210, CVE-2014-3566: Issues in TLS.

openjdk-7 (7u71-2.5.3-2) unstable; urgency=medium

  * Regenerate the .orig.tar to omit a third hotspot tarball.
  * Really fix the libjpeg runtime dependency for sid and jessie.
    Closes: #766601.
  * Fix regression running JamVM after the 2.5.3 security update.
    Closes: #767771. LP: #1382205.
  * Fix regression running CACAO after the 2.5.3 security update.
  * Backport S8000897, VM crash in CompileBroker. Closes: #768747.
  * Fix building icedtea-sound on x32 (patch dropped in 7u71-2.5.3-1).
    Closes: #766610.
  * Don't use the compatibility path names from the ttf-dejavu packages
    for recent releases. LP: #1362099.
 -- Jamie Strandboge <email address hidden> Mon, 26 Jan 2015 17:39:11 -0600

Changed in openjdk-7 (Ubuntu Precise):
status: Confirmed → Fix Released
Rolf Leggewie (r0lf) wrote :

utopic has seen the end of its life and is no longer receiving any updates. Marking the utopic task for this ticket as "Won't Fix".

Changed in openjdk-6 (Ubuntu Utopic):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers